<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head'); %>
</head>

<body>
  <div class="container">
    <%- include('../partials/navbar'); %>
    <div>
      <div class="div-tickets">
        <h2 class="title-part">My Tickets</h2>
        <ul class="list-group" id="myTickets">
          <% for(const [key, value] of Object.entries(tickets)){ %>
            <li class="list-group-item ticket-list-item" id=<%= "ticket" + value.id %>><div><%- 'IF ' + value.condition_text + ' THEN ' + value.action_text %></div><div class="list-buttons"><a class="btn-view" href=<%= '/ticket/' + value.id%>><span class="material-icons">visibility</span></a><button class="btn-delete" data-id=<%= value.id %>><span class="material-icons">delete</span></button></div></li>
            <% } %>
        </ul>
      </div>
    </div>
    <button class="btn btn-light btn-redtext mt-3" data-bs-toggle="modal"
    data-bs-target="#deleteModal">Delete Account and Tickets</button>
    <button class="btn btn-light float-right display-none mt-3" id="deleteSpinner" type="button" disabled>
      <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
      Deleting...
    </button>

    <%- include('../partials/footer'); %>
  </div>
  <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Delete Account</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <p>Are you sure you want to delete your account? This will permanently delete all your data, including tickets you created.</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
          <button id="deleteAccount" type="button" class="btn btn-danger">Delete</button>
        </div>
      </div>
    </div>
  </div>

  <%- include('../partials/footscripts'); %>
  <script src="/javascripts/mytickets.js"></script>


</body>



</html>